> ## Documentation Index
> Fetch the complete documentation index at: https://avala.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post projects quality targetsevaluate

> Evaluate all active quality targets for this project right now.



## OpenAPI

````yaml /openapi.yml post /projects/{project_uid}/quality-targets/evaluate/
openapi: 3.0.0
info:
  title: Avala API
  description: >

    # Authentication


    ## Generating an API Key


    The Avala SDK uses API keys to authenticate requests. You can create and
    manage your API keys from the

    Settings page of Mission Control.


    Follow these steps to generate a new API key:


    1. Open your settings page by clicking on your user avatar located at the
    top right-hand corner of any
        Mission Control screen, and select `Settings`.
    2. From the left-hand sub-menu, select `Security & Identity`.

    3. Click on `New API Key`, enter a name for the key, and then click `Create
    key`.


    The new key will be automatically copied to your clipboard. Please note, for
    security reasons, the key

    will not be accessible once you close the window. Ensure you store it in a
    safe location before closing

    the pop-up modal.


    ### Video walkthrough of API key generation


    <iframe class="embedly-embed"
    src="//cdn.embedly.com/widgets/media.html?src=https%3A%2F%2F
        www.youtube.com%2Fembed%2FTYdLhkAAbLA%3Ffeature%3Doembed&display_name=YouTube&url=https%3A%2F%2F
        www.youtube.com%2Fwatch%3Fv%3DTYdLhkAAbLA&image=https%3A%2F%2Fi.ytimg.com%2Fvi%2FTYdLhkAAbLA%2F
        hqdefault.jpg&key=7788cb384c9f4d5dbbdbeffd9fe4b92f&type=text%2Fhtml&schema=youtube" width="854"
        height="480" scrolling="no" title="YouTube embed" frameborder="0" allow="autoplay;
        fullscreen; encrypted-media; picture-in-picture;" allowfullscreen="true"></iframe>


    ## Authenticating with an API Key


    This is the easiest part! Just add a header named `X-Avala-Api-Key` to your
    requests and set the

    previously generated API Key as the value.
  termsOfService: https://avala.ai/legal/terms
  contact:
    email: support@avala.ai
  version: v1
servers:
  - url: https://api.avala.ai/api/v1
security:
  - API_Key: []
  - JWT: []
tags:
  - name: datasets
    description: To be completed...
  - name: projects
    description: To be completed...
  - name: tasks
    description: List and retrieve annotation tasks.
  - name: exports
    description: To be completed...
paths:
  /projects/{project_uid}/quality-targets/evaluate/:
    parameters:
      - name: project_uid
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - projects
      description: Evaluate all active quality targets for this project right now.
      operationId: projects_quality-targets_evaluate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QualityTarget'
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QualityTarget'
components:
  schemas:
    QualityTarget:
      required:
        - name
        - metric
        - threshold
      type: object
      properties:
        uid:
          title: Uid
          type: string
          format: uuid
          readOnly: true
        name:
          title: Name
          description: Human-readable name, e.g. 'Max rejection rate'.
          type: string
          maxLength: 255
          minLength: 1
        metric:
          title: Metric
          type: string
          enum:
            - issue_rate
            - acceptance_rate
            - rejection_rate
            - mean_resolution_time
            - critical_issue_count
        operator:
          title: Operator
          type: string
          enum:
            - gt
            - lt
            - gte
            - lte
        threshold:
          title: Threshold
          description: >-
            The threshold value. For rates this is 0-1 (e.g. 0.15 = 15%). For
            counts this is an integer. For time this is seconds.
          type: number
        severity:
          title: Severity
          type: string
          enum:
            - warning
            - critical
        is_active:
          title: Is active
          type: boolean
        notify_webhook:
          title: Notify webhook
          description: Emit a quality.alert webhook event when threshold is breached.
          type: boolean
        notify_emails:
          description: Email addresses to notify (future use).
          type: array
          items:
            title: Notify emails
            type: string
            format: email
            maxLength: 254
            minLength: 1
        last_evaluated_at:
          title: Last evaluated at
          type: string
          format: date-time
          readOnly: true
          nullable: true
        last_value:
          title: Last value
          description: The last computed metric value.
          type: number
          readOnly: true
          nullable: true
        is_breached:
          title: Is breached
          description: Whether the target is currently breached.
          type: boolean
          readOnly: true
        breach_count:
          title: Breach count
          description: Total number of times this target has been breached.
          type: integer
          readOnly: true
        last_breached_at:
          title: Last breached at
          type: string
          format: date-time
          readOnly: true
          nullable: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
  securitySchemes:
    API_Key:
      type: apiKey
      name: X-Avala-Api-Key
      in: header
      description: >-
        API key for authentication. Generate one in Mission Control Settings >
        Security & Identity.
    JWT:
      type: apiKey
      name: Authorization
      in: header
      description: JWT token with 'JWT' prefix, e.g., 'JWT eyJhbGciOiJIUzI1NiIsInR...'

````